

globalThis.myCanvas = document.createElement("canvas")
const canvas = globalThis.myCanvas
canvas.id = 'SVGCanvas'
canvas.width = 1400	 // set canvas size depending on resolution / performance needs
canvas.height = 800
canvas.style.position = 'absolute' // place it behind the C3 canvas
canvas.style.top = "100px"
canvas.style.left = "400px"
canvas.style.zIndex = "1" // place it behind the C3 canvas*/
globalThis.ctx = canvas.getContext("2d") // get a rendering context for lottie to render to
document.body.appendChild(canvas) // add canvas to the DOM		

//Examples Bellow
//----------------------------------------------------------

ctx.font = "30px Arial";
ctx.strokeText("Hello World",700,50);

//----------------------------------------------------------

var sun = new Image();
var moon = new Image();
var earth = new Image();
function init() {
  sun.src = 'https://mdn.mozillademos.org/files/1456/Canvas_sun.png';
  moon.src = 'https://mdn.mozillademos.org/files/1443/Canvas_moon.png';
  earth.src = 'https://mdn.mozillademos.org/files/1429/Canvas_earth.png';
  window.requestAnimationFrame(draw1);
}

function draw1() {
  

  ctx.globalCompositeOperation = 'destination-over';
  ctx.clearRect(0, 0, 300, 300); // clear canvas

  ctx.fillStyle = 'rgba(0, 0, 0, 0.4)';
  ctx.strokeStyle = 'rgba(0, 153, 255, 0.4)';
  ctx.save();
  ctx.translate(150, 150);

  // Earth
  var time = new Date();
  ctx.rotate(((2 * Math.PI) / 60) * time.getSeconds() + ((2 * Math.PI) / 60000) * time.getMilliseconds());
  ctx.translate(105, 0);
  ctx.fillRect(0, -12, 40, 24); // Shadow
  ctx.drawImage(earth, -12, -12);

  // Moon
  ctx.save();
  ctx.rotate(((2 * Math.PI) / 6) * time.getSeconds() + ((2 * Math.PI) / 6000) * time.getMilliseconds());
  ctx.translate(0, 28.5);
  ctx.drawImage(moon, -3.5, -3.5);
  ctx.restore();

  ctx.restore();
  
  ctx.beginPath();
  ctx.arc(150, 150, 105, 0, Math.PI * 2, false); // Earth orbit
  ctx.stroke();
 
  ctx.drawImage(sun, 0, 0, 300, 300);

  window.requestAnimationFrame(draw1);
}

init();
//--------------------------------------------------------------------			
		function drawly() {
  
  var img = new Image();
  img.onload = function() {
    ctx.drawImage(img, 500, 300);

  };
  img.src = 'https://th.bing.com/th/id/OIP.iS-6XgJedDVGACa94S5lKAHaEK?w=290&h=180&c=7&o=5&dpr=1.25&pid=1.7';
}	
drawly();


//--------------------------------------------------------------------

function draw2() {

  // create new image object to use as pattern
  var img = new Image();
  img.src = 'https://mdn.mozillademos.org/files/222/Canvas_createpattern.png';
  img.onload = function() {

    // create pattern
    var ptrn = ctx.createPattern(img, 'repeat');
	
    ctx.fillStyle = ptrn;
    ctx.fillRect(60, 450, 150, 150);

  }
}
draw2();

